/*
 *  queue.h
 *
 *  Header file for a generic queue type.
 *
 *  Kekoa Proudfoot
 *  12/12/96
 */

#ifndef QUEUE_H_DEFINED
#define QUEUE_H_DEFINED

typedef struct qqueue_t {
    void *head;
    void *tail;
} qqueue_t;

extern void  queue_init     (qqueue_t *queue);
extern int   queue_empty    (qqueue_t *queue);
extern void  queue_add      (qqueue_t *queue, void *item);
extern void *queue_remove   (qqueue_t *queue);
extern void *queue_get_head (qqueue_t *queue);

#endif
